Get party details
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/parties/{partyId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.modo.link/canton-mainnet/v1/parties/{partyId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.modo.link/canton-mainnet/v1/parties/{partyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partyId": "<string>",
"accountName": "<string>",
"imageUrl": "<string>",
"website": "<string>",
"creator": {
"partyId": "<string>",
"accountName": "<string>",
"imageUrl": "<string>"
},
"createdAt": 123,
"lastSeenRound": 123,
"lastSeenRoundTimestamp": 123,
"holdingsSummaryResponse": {
"record_time": "2023-11-07T05:31:56Z",
"migration_id": 123,
"computed_as_of_round": 123,
"summaries": [
{
"party_id": "<string>",
"total_unlocked_coin": "<string>",
"total_locked_coin": "<string>",
"total_coin_holdings": "<string>",
"accumulated_holding_fees_unlocked": "<string>",
"accumulated_holding_fees_locked": "<string>",
"accumulated_holding_fees_total": "<string>",
"total_available_coin": "<string>",
"record_time": "2023-11-07T05:31:56Z",
"migration_id": 123,
"computed_as_of_round": 123
}
]
},
"creatorAccount": true
}Parties
Get party details
Retrieve detailed information about a specific party
GET
/
v1
/
parties
/
{partyId}
Get party details
Authorizations
Path Parameters
Party ID
⌘I